org.apache.tinkerpop.gremlin.giraph.structure.io

## Class GiraphVertexReader

- java.lang.Object
- - VertexReader
  - - org.apache.tinkerpop.gremlin.giraph.structure.io.GiraphVertexReader

-     public final class GiraphVertexReader
      extends VertexReader

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GiraphVertexReader()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `Vertex` | `getCurrentVertex()`
    `float` | `getProgress()`
    `void` | `initialize(InputSplit inputSplit, TaskAttemptContext context)`
    `boolean` | `nextVertex()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GiraphVertexReader

          public GiraphVertexReader()

  - ### Method Detail

    - #### initialize

          public void initialize(InputSplit inputSplit,
                                 TaskAttemptContext context)
                          throws IOException,
                                 InterruptedException

      Throws:
        `IOException`
        `InterruptedException`

    - #### nextVertex

          public boolean nextVertex()
                             throws IOException,
                                    InterruptedException

      Throws:
        `IOException`
        `InterruptedException`

    - #### getCurrentVertex

          public Vertex getCurrentVertex()
                                  throws IOException,
                                         InterruptedException

      Throws:
        `IOException`
        `InterruptedException`

    - #### close

          public void close()
                     throws IOException

      Throws:
        `IOException`

    - #### getProgress

          public float getProgress()
                            throws IOException,
                                   InterruptedException

      Throws:
        `IOException`
        `InterruptedException`

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.